Install or update Scout Agent
curl --request POST \
--url https://api.example.com/v1/api/servers/{serverId}/monitoring/actions/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"retentionDays": 7,
"acknowledge": true
}
'import requests
url = "https://api.example.com/v1/api/servers/{serverId}/monitoring/actions/install"
payload = {
"retentionDays": 7,
"acknowledge": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({retentionDays: 7, acknowledge: true})
};
fetch('https://api.example.com/v1/api/servers/{serverId}/monitoring/actions/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"status": "<string>",
"desiredState": "<string>",
"retentionDays": 123,
"version": "<string>",
"lastReportAt": "<string>",
"lastCollectedAt": "<string>",
"diagnostics": {
"collectionDurationMs": 123,
"collectionErrors": 123,
"droppedSamples": 123
},
"errorMessage": "<string>",
"sampleIntervalSeconds": 123,
"removingServer": true
},
"localization": {
"dateFormat": "day-short-month-year",
"timeFormat": "24-hour",
"timeZone": "<string>",
"timestamps": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}Install or update Scout Agent
Install or update Scout Agent through the Towbar REST API.
POST
/
servers
/
{serverId}
/
monitoring
/
actions
/
install
Install or update Scout Agent
Required permissions: scout.configure. Personal keys are capped by their owner’s current team role.
See request conventions and automation workflows. MCP clients use the task-oriented tool catalogue.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Last modified on September 6, 2026
